You are not logged in.

#1 2003-12-30 01:04:02

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

cups: dependence+=ghostscript?

- install arch from base (arch 0.5 base)
- run installed system, configure it
- pacman -Suy
- wait some time till all base-packages are up to date
- pacman -S cups foomatic-{db, filters, db-ppd}
- pacman -S kde
- configure your printers with cups-webinterface

-> this will install kde (the whole group) and cups, and the needed dependences ... very nice so far, but:

cups will not print!!! no ghostscript is installed in the system and ghostscript was not a dependence of cups or any related package ... and i wonder how a ps-driver will work without ghostscript ...

after running
- pacman -S ghostscript
cups will print nicely :-)

>>>>> is there maybe intelligent to set ghostscript as dependency of cups? or the foomatic packages?

>>>>> what about a "cups-drivers" pacman-group, that will include all foomatic, the hpijs and gimp-print? this will help newcomers installing a fully featured cups (support for all available printers supported available)


The impossible missions are the only ones which succeed.

Offline

#2 2003-12-30 01:45:10

Xentac
Forum Fellow
From: Victoria, BC
Registered: 2003-01-17
Posts: 1,797
Website

Re: cups: dependence+=ghostscript?

The problem is that, right now, gimp-print depends on ghostscript and cups depends on gimp-print.  cups can't depend on ghostscript or else there's a circular dependency.

We're looking into a proper configuration solution to this.


I have discovered that all of mans unhappiness derives from only one source, not being able to sit quietly in a room
- Blaise Pascal

Offline

#3 2003-12-30 12:22:57

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Re: cups: dependence+=ghostscript?

Xentac wrote:

The problem is that, right now, gimp-print depends on ghostscript and cups depends on gimp-print.  cups can't depend on ghostscript or else there's a circular dependency.

We're looking into a proper configuration solution to this.

Name           : cups
Version        : 1.1.20-1
Groups         : None
Packager       : Arch Linux (http://www.archlinux.org)
URL            :
Size           : 6539428
Build Date     : Tue Nov 25 19:58:41 2003 UTC
Install Date   : Tue Dec  2 13:09:10 2003 UTC
Install Script : No
Provides       : None
Depends On     : libjpeg libpng libtiff openssl pam
Required By    : fox gimp-print gtklp hpijs kdelibs libgnomeprint samba scribus
Conflicts With : None
Description    : The CUPS Printing System

the only problem (after i searched a lot of packages for deps and reqs) was: cups do not depend on gimp-print, gimp-print requires cups
-> so that's why gimp-print is not installed by installing cups
-> and that's why ghostscript was not installed

i didnt look at the details for foomatic packages, but i hope they depend on cups


The impossible missions are the only ones which succeed.

Offline

Board footer

Powered by FluxBB